Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.ts	(revision 45390)
@@ -21,7 +21,7 @@
 export class OrganizationComponent {
 
     organizationInfo: OrganizationInfo;
-    private metrics: string;
+    //private metrics: string;
     private organizationId: string;
     private projectsNum: number = 0;
     private fundersSet: Set<string>;
@@ -110,7 +110,7 @@
                 }
             );
         }
-
+/*
         private getMetrics() {
             console.info("getOrganizationMetrics: component");
             this._organizationService.getMetrics(this.organizationId).subscribe(
@@ -122,7 +122,7 @@
              }
            );
         }
-
+*/
         private handleClick(funder: string) {
              if(this.emptyFundersSet) {
                  this.fundersSet.clear();
Index: modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/login.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/login.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/login.component.ts	(revision 45390)
@@ -8,7 +8,8 @@
     template: `
 
 
-    <form *ngIf="!loggedIn" class="uk-form uk-width-medium-1-3">
+    <!--form *ngIf="!loggedIn" class="uk-form uk-width-medium-1-3"-->
+    <form *ngIf="!loggedIn" class="uk-form uk-flex uk-flex-center">
        <fieldset>
           <legend>Login Form</legend>
           <div class="uk-form-row">
Index: modules/uoa-services-portal/trunk/portal-2/src/browser.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/browser.module.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/browser.module.ts	(revision 45390)
@@ -1,3 +1,4 @@
+//import {MaterialModule} from '@angular/material';
 import { NgModule } from '@angular/core';
 import { FormsModule } from '@angular/forms';
 import { RouterModule } from '@angular/router';
@@ -35,7 +36,7 @@
 @NgModule({
   bootstrap: [ AppComponent ],
   imports: [
-    // MaterialModule.forRoot() should be included first
+    //MaterialModule.forRoot(),// should be included first
     UniversalModule, // BrowserModule, HttpModule, and JsonpModule are included
 
     FormsModule,
@@ -56,7 +57,7 @@
 
     CacheService,
 
-    Meta,
+    //Meta,
 
     // { provide: AUTO_PREBOOT, useValue: false } // turn off auto preboot complete
   ]
Index: modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/navigationBar.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/navigationBar.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/navigationBar.component.ts	(revision 45390)
@@ -90,7 +90,23 @@
 
                                       </li>
                                   </ul>
+                                  <div class="uk-navbar-flip">
+                                      <ul class="uk-navbar-nav uk-hidden-small">
+                                          <li class="uk-parent" data-uk-dropdown="" aria-haspopup="true" aria-expanded="false">
+                                          <!-- This is a button toggling the modal -->
+                                            <a href="#login" data-uk-modal="center: true">Sign In</a>
 
+                                            <!-- This is the modal -->
+                                            <div id="login" class="uk-modal">
+                                                <div class="uk-modal-dialog">
+                                                    <a class="uk-modal-close uk-close"></a>
+                                                    <login></login>
+                                                </div>
+                                            </div>
+                                          </li>
+                                      </ul>
+                                  </div>
+
                                   <a href="#offcanvas-mainmenu" class="uk-navbar-toggle uk-visible-small" data-uk-offcanvas=""></a>
 
 
Index: modules/uoa-services-portal/trunk/portal-2/src/node.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/node.module.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/node.module.ts	(revision 45390)
@@ -1,3 +1,4 @@
+//import {MaterialModule} from '@angular/material';
 import { NgModule } from '@angular/core';
 import { FormsModule } from '@angular/forms';
 import { RouterModule } from '@angular/router';
@@ -27,7 +28,7 @@
 @NgModule({
   bootstrap: [ AppComponent ],
   imports: [
-    // MaterialModule.forRoot() should be included first
+    //MaterialModule.forRoot(),// should be included first
     UniversalModule, // BrowserModule, HttpModule, and JsonpModule are included
 
     FormsModule,
